/*
 * main_basic.c - a simplified main procedure that relies upon a ersver to do
 * anything smart. Just be a dumb interface to a display, keypad, coin mech
 * and snacks.
 */

#include "display_basic.h"
#include "keypad.h"
#include "chime.h"
#include "coinmech.h"
#include "comm.h"
#include "vend.h"

int main() {
	u16 last_coin_value = coin_value;

	/* init coin mech */
	comm_init();
	display_init();
	while(1) {
		if (rx_queue_state) {
			switch (msg_buf[0]) {
				case 'V': /* dispense something */
					break;
				case 'D': /* write string to display */
					break;
				case 'B': /* beep */
					break;
				case 'U': /* query current coin balance */
					break;
				case 'G': /* give change */
					break;
				default:
				/* shrug */
					break;
			}
			msg_clr();
		}
		keypad_read();
		if (keypad_pressed()) {
			/* send packet about it */
			/* beep? */
		}

		if (coin_value != last_coin_value) {
			/* send a packet about it */
		}
	}
}

void rti() {
	chime(); /* turn chime on or off as need be */
}
