/* memory.x -- Memory definition for a 68HC11 program in EEPROM (512 bytes)
   Copyright 2001 Free Software Foundation, Inc.
   Written by Stephane Carrez (stcarrez@worldnet.fr)
   Adapted for openvend by Bernard Blackham (dagobah@ucc.asn.au)

The file was adapted from GTAM. You can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2, or (at your option) any later version.

*/

MEMORY
{
  /* we squeeze both page0 and data into the internal 256 bytes of RAM */
  page0 (rwx) : ORIGIN = 0x0000, LENGTH = 0x007f
  data  (rw)  : ORIGIN = 0x0080, LENGTH = 0x007f
  text  (rx)  : ORIGIN = 0x8000, LENGTH = 0x7fff
}

/* Setup the stack on the top of the data internal ram (not used).  */
PROVIDE (_stack = 0x007f-1);
